Name:		radius-engine
Version:	0.7
Release:	3%{?dist}
Summary:	A Lua based real-time 2D graphics game engine
Group:		System Environment/Libraries
License:	MIT
URL:		http://radius-engine.sourceforge.net/
Source0:	http://downloads.sourceforge.net/project/%{name}/%{name}-%{version}.tar.gz
Patch0:		radius-engine-0.6-configure-lua.patch
Patch1:		radius-engine-0.7-shared-libs.patch
BuildRequires:	lua-devel, SDL-devel, mesa-libGL-devel, mesa-libGLU-devel
BuildRequires:	physfs-devel, libpng-devel, zlib-devel, SDL_sound-devel
# I could not figure out a way to generate a patch to enable shared libraries 
# that worked right. All my attempts resulted in an environment where make, 
# when invoked, would re-run aclocal and automake. :P
# So, I'm just running autoreconf in the spec file. :P :P
BuildRequires:	autoconf, libtool

%description
Radius Engine is a Lua script-based real-time 2D graphics engine designed for 
rapidly prototyping games. Built on top of SDL and OpenGL, games made with 
Radius Engine are portable to both Windows and Linux.

%package devel
Summary:	Development libraries and headers for Radius Engine
Group:		Development/Libraries
Requires:	lua-devel, SDL-devel, mesa-libGL-devel, mesa-libGLU-devel
Requires:	physfs-devel, libpng-devel, zlib-devel, SDL_sound-devel
Requires:	%{name} = %{version}-%{release}

%description devel
Development libraries and headers for Radius Engine.

%prep
%setup -q
%patch0 -p1 -b .lua
%patch1 -p1 -b .shared
autoreconf -if
chmod -x *.c *.h ChangeLog

%build
%configure --disable-static
make %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot}
rm -rf %{buildroot}%{_libdir}/*.la

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc ChangeLog
%{_libdir}/libradius-engine.so.*

%files devel
%defattr(-,root,root,-)
%{_includedir}/radius.h
%{_libdir}/libradius-engine.so
%{_libdir}/pkgconfig/radius-engine.pc

%changelog
* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Fri Dec 15 2011 Tom Callaway <spot@fedoraproject.org> - 0.7-2
- rebuild

* Fri Dec  9 2011 Tom Callaway <spot@fedoraproject.org> - 0.7-1
- update to 0.7

* Tue Dec 06 2011 Adam Jackson <ajax@redhat.com> - 0.6-3
- Rebuild for new libpng

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Jan 3 2011 Tom Callaway <spot@fedoraproject.org> 0.6-1
- Initial package
